org.jfree.xml

## Class JCommonXMLInfo

- java.lang.Object
- - org.jfree.base.Library
  - - org.jfree.base.BasicProjectInfo
    - - org.jfree.base.BootableProjectInfo
      - - org.jfree.ui.about.ProjectInfo
        - - org.jfree.xml.JCommonXMLInfo

    public class JCommonXMLInfo
    extends ProjectInfo

The info implementation for the XML classes of JCommon.

Author:
  Thomas Morgner

### Method Summary

Methods
`static JCommonXMLInfo` `getInstance()` Returns the single instance of this class.

### Methods inherited from class org.jfree.ui.about.ProjectInfo

`getContributors, getLicenceText, getLogo, setContributors, setLicenceText, setLogo, toString`

### Methods inherited from class org.jfree.base.BootableProjectInfo

`addDependency, getBootClass, getDependencies, isAutoBoot, setAutoBoot, setBootClass`

### Methods inherited from class org.jfree.base.BasicProjectInfo

`addLibrary, addOptionalLibrary, addOptionalLibrary, getCopyright, getLibraries, getOptionalLibraries, setCopyright, setInfo, setLicenceName, setName, setVersion`

### Methods inherited from class org.jfree.base.Library

`equals, getInfo, getLicenceName, getName, getVersion, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static JCommonXMLInfo getInstance()

Returns the single instance of this class.

Returns:
  The single instance of information about the JCommon library.